/*
   base/star.cc
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2.
*/

#include "base/game.h"
#include "base/star.h"


namespace game
{

Star::Star() : core::EntityGlobe()
{
	set_flag(core::Entity::ShowOnMap);
	set_flag(core::Entity::Bright);

	get_color().assign(1.0f, 1.0f);
	get_color_second().assign(1.0f, 1.0f);
	set_radius(96.0f);

	entity_moduletypeid = star_enttype;
	
	// default star corona name
	set_coronaname("default");
}

Star::~Star()
{
}

} // namespace game
