/*
   render/light.cc
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#include "render/light.h"

namespace render
{

Light::Light() :
	light_location(),
	light_color(),
	light_attenuation(1.0f, 0.0f, 0.0f)
{
	
}

Light::Light(const math::Vector3f & location, const math::Color & color) :
	light_location(location),
	light_color(color),
	light_attenuation(1.0f, 0.0f, 0.0f)
{
	
}

Light::~Light()
{
}

	
} // namespace render


